cascading.flow

## Interface FlowSkipStrategy

- All Known Implementing Classes:
    FlowSkipIfSinkExists, FlowSkipIfSinkNotStale

      public interface FlowSkipStrategy

  Interface FlowSkipStrategy is used to create new strategies that decide when a `Flow` should be skipped when executed in a `Cascade`. The default strategy is `FlowSkipIfSinkNotStale`.
  See Also:
    `FlowSkipIfSinkExists`, `FlowSkipIfSinkNotStale`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `skipFlow(Flow flow)`

- - ### Method Detail

    - #### skipFlow

          boolean skipFlow(Flow flow)
                           throws IOException

      Throws:
        `IOException`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.